package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 模型明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("icss_module_detail")
public class ModuleDetailDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id; //主键
    private Long moduleId; //模型id
    private Long questionId; //标签id
    private String labelPrefix; //前置内容
    private String labelSuffix; //后置内容
    private Integer orderNo;    //排序号
    private String remark;

}
