package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 病历保存
 * @date 2018年11月16日 下午3:35:05
 */
@Getter
@Setter
public class TemplateInfosVO {
	@NotBlank(message = "请输入模板名字")
	private String modeName;//模板名字
	@NotNull(message = "请输入医生id")
	private Long doctorId;//医生id
	@NotNull(message = "请输入医院id")
	private Long hospitalId;//医院id
	@NotNull(message = "请输入部门id")
	private Long hospitalDeptId;//部门id
	@NotBlank(message = "请输入模板类型")
	private String modeType;//模板类型
	@NotBlank(message = "请输入预览文本")
	private String preview;//预览文本
	@NotBlank(message = "请输入模板数据")
	private String dataJson;//模板数据
}
