package com.diagbot.vo;

import com.diagbot.entity.IntroduceDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description:提示信息保存参数
 * @Author:zhaops
 * @time: 2018/11/16 14:29
 */
@Getter
@Setter
public class IntroduceVO {
    private Long id;
    @NotBlank(message = "请输入名称")
    private String name;
    private String remark;
    private List<IntroduceDetail> detailList;
}
