package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.DeptVital;
import com.diagbot.vo.DeptVitalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 科室查体对应表 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
@RestController
@RequestMapping("/deptVital")
@Api(value = "查体模板相关API", tags = { "查体模板相关API" })
public class DeptVitalController {

    @ApiOperation(value = "保存查体模板",
            notes = "deptId:科室ID，必填<br>" +
                    "vitalIds:查体标签ids，必填<br>" )
    @PostMapping("/saveDeptVitals")
    @SysLogger("saveDeptVitals")
    public RespDTO<Boolean> saveDeptVitals(@RequestBody DeptVitalVO deptVitalVO){
        return RespDTO.onSuc(true);
    }
}
