/**
 * 
 */
package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年11月19日下午4:58:37
 */
@Getter
@Setter
public class GetTopPatientInfoVO {
	
	/**
	 * 医院编号
	 */
	@NotBlank(message="医院编号必填")
	private String hospitalCode;
	
	/**
	 * 医院科室编号
	 */
	@NotBlank(message="医院科室编号必填")
	private String hospitalDeptCode;
	
	/**
	 * 医院医生编号
	 */
	@NotBlank(message="医院医生编号必填")
	private String doctorCode;
	
	/**
	 * 医院患者编号
	 */
	@NotBlank(message="医院患者编号必填")
	private String patientCode;

}
